TempFilesSearch:
  post:
    tags:
      - temp-files
    operationId: searchTempFiles
    summary: Search for objects of TempFile
    description: Search for objects of TempFile
    x-lg-handler: '\App\Http\ApiV1\Modules\Support\Controllers\TempFilesController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/temp_files.yaml#/SearchTempFilesRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/temp_files.yaml#/SearchTempFilesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
